Bug 1283857 - [abrt] xorg-x11-server-Xwayland: Xwayland killed by SIGSEGV
[abrt] xorg-x11-server-Xwayland: Xwayland killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8d48af5134e6449f3a996870552...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 00:54 EST by Martín Cigorraga
Modified: 2016-12-20 11:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:07:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (73.46 KB, text/plain)
2015-11-20 00:54 EST, Martín Cigorraga
no flags Details
File: cgroup (189 bytes, text/plain)
2015-11-20 00:54 EST, Martín Cigorraga
no flags Details
File: core_backtrace (2.60 KB, text/plain)
2015-11-20 00:54 EST, Martín Cigorraga
no flags Details
File: dso_list (6.22 KB, text/plain)
2015-11-20 00:54 EST, Martín Cigorraga
no flags Details
File: environ (1.07 KB, text/plain)
2015-11-20 00:54 EST, Martín Cigorraga
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-20 00:54 EST, Martín Cigorraga
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-20 00:54 EST, Martín Cigorraga
no flags Details
File: maps (31.64 KB, text/plain)
2015-11-20 00:54 EST, Martín Cigorraga
no flags Details
File: mountinfo (3.49 KB, text/plain)
2015-11-20 00:54 EST, Martín Cigorraga
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-20 00:54 EST, Martín Cigorraga
no flags Details
File: open_fds (610 bytes, text/plain)
2015-11-20 00:54 EST, Martín Cigorraga
no flags Details
File: proc_pid_status (985 bytes, text/plain)
2015-11-20 00:54 EST, Martín Cigorraga
no flags Details
File: var_log_messages (287 bytes, text/plain)
2015-11-20 00:54 EST, Martín Cigorraga
no flags Details

  None (edit)
Description Martín Cigorraga 2015-11-20 00:54:07 EST
Version-Release number of selected component:
xorg-x11-server-Xwayland-1.18.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        /usr/bin/Xwayland :1024 -rootless -noreset -listen 4 -listen 5 -displayfd 6
executable:     /usr/bin/Xwayland
global_pid:     3962
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            42

Truncated backtrace:
Thread no. 1 (10 frames)
 #10 ??
 #11 DamageDestroy at damage.c:1811
 #12 compFreeClientWindow at compalloc.c:290
 #13 FreeCompositeClientWindow at compext.c:85
 #14 doFreeResource at resource.c:895
 #15 FreeResource at resource.c:925
 #16 compUnredirectWindow at compalloc.c:331
 #17 compFreeClientSubwindows at compalloc.c:449
 #18 FreeCompositeClientSubwindows at compext.c:94
 #19 doFreeResource at resource.c:895
Comment 1 Martín Cigorraga 2015-11-20 00:54:12 EST
Created attachment 1097006 [details]
File: backtrace
Comment 2 Martín Cigorraga 2015-11-20 00:54:13 EST
Created attachment 1097007 [details]
File: cgroup
Comment 3 Martín Cigorraga 2015-11-20 00:54:15 EST
Created attachment 1097008 [details]
File: core_backtrace
Comment 4 Martín Cigorraga 2015-11-20 00:54:16 EST
Created attachment 1097009 [details]
File: dso_list
Comment 5 Martín Cigorraga 2015-11-20 00:54:18 EST
Created attachment 1097010 [details]
File: environ
Comment 6 Martín Cigorraga 2015-11-20 00:54:19 EST
Created attachment 1097011 [details]
File: exploitable
Comment 7 Martín Cigorraga 2015-11-20 00:54:20 EST
Created attachment 1097012 [details]
File: limits
Comment 8 Martín Cigorraga 2015-11-20 00:54:22 EST
Created attachment 1097013 [details]
File: maps
Comment 9 Martín Cigorraga 2015-11-20 00:54:24 EST
Created attachment 1097014 [details]
File: mountinfo
Comment 10 Martín Cigorraga 2015-11-20 00:54:26 EST
Created attachment 1097015 [details]
File: namespaces
Comment 11 Martín Cigorraga 2015-11-20 00:54:27 EST
Created attachment 1097016 [details]
File: open_fds
Comment 12 Martín Cigorraga 2015-11-20 00:54:28 EST
Created attachment 1097017 [details]
File: proc_pid_status
Comment 13 Martín Cigorraga 2015-11-20 00:54:30 EST
Created attachment 1097018 [details]
File: var_log_messages
Comment 14 mchalupa 2015-11-23 05:55:48 EST
This could have something in common with: https://bugs.freedesktop.org/show_bug.cgi?id=93045
Comment 15 Olivier Fourdan 2016-01-07 04:41:09 EST
Yes, that backtrace looks familiar.
Comment 16 Fedora End Of Life 2016-11-24 08:36:18 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 11:07:33 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.